GWT 2.7.0

## com.google.gwt.user.client.ui
Interface FiresDisclosureEvents

All Known Implementing Classes:
  DisclosurePanel

Deprecated. Use `HasOpenHandlers` and `HasCloseHandlers` instead

    @Deprecated
    public interface FiresDisclosureEvents

A widget that implements this interface fires the events defined by the `DisclosureHandler` interface.

Method Summary
`void` | `addEventHandler(DisclosureHandler handler)` Deprecated. Add an open or close handler to the event source instead
`void` | `removeEventHandler(DisclosureHandler handler)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

Method Detail

### addEventHandler

    @Deprecated
    void addEventHandler(DisclosureHandler handler)

  Deprecated. Add an open or close handler to the event source instead

  Adds a handler interface to receive open events.

  Parameters:
    `handler` - the handler to add

### removeEventHandler

    @Deprecated
    void removeEventHandler(DisclosureHandler handler)

  Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by an add*Handler method instead

  Removes a previously added handler interface.

  Parameters:
    `handler` - the handler to remove

GWT 2.7.0